
/********************************************
jmp.h
copyright 1991, Michael D. Brennan

This is a source file for mawk, an implementation of
the AWK programming language.

Mawk is distributed without warranty under the terms of
the GNU General Public License, version 2, 1991.
********************************************/

/* $Log: jmp.h,v $
 * Revision 1.2  1995/04/21  14:20:19  mike
 * move_level variable to fix bug in arglist patching of moved code.
 *
 * Revision 1.1.1.1  1993/07/03  18:58:15  mike
 * move source to cvs
 *
 * Revision 5.2  1993/01/09  19:03:44  mike
 * code_pop checks if the resolve_list needs relocation
 *
 * Revision 5.1  1991/12/05  07:59:24  brennan
 * 1.1 pre-release
 *
*/

#ifndef   JMP_H
#define   JMP_H

void  PROTO(mawk_BC_new, (mawk_state_t *) ) ;
void  PROTO(mawk_BC_insert, (mawk_state_t *, int, INST*) ) ;
void  PROTO(mawk_BC_clear, (mawk_state_t *,INST *, INST *) ) ;
void  PROTO(mawk_code_push, (mawk_state_t *,INST *, unsigned, int, FBLOCK*) ) ;
unsigned  PROTO(mawk_code_pop, (mawk_state_t *,INST *) ) ;
void  PROTO(mawk_code_jmp, (mawk_state_t *,int, INST *) ) ;
void  PROTO(mawk_patch_jmp, (mawk_state_t *, INST *) ) ;

#endif  /* JMP_H  */

