
/********************************************
repl.h
copyright 1991, Michael D. Brennan

This is a source file for mawk, an implementation of
the AWK programming language.

Mawk is distributed without warranty under the terms of
the GNU General Public License, version 2, 1991.
********************************************/

/*$Log: repl.h,v $
 * Revision 1.1.1.1  1993/07/03  18:58:19  mike
 * move source to cvs
 *
 * Revision 5.1  1991/12/05  07:59:32  brennan
 * 1.1 pre-release
 *
*/

/* repl.h */

#ifndef  REPL_H
#define  REPL_H

PTR  PROTO( mawk_re_compile, (mawk_state_t *, STRING *) ) ;
char *PROTO( mawk_re_uncompile, (mawk_state_t *, PTR) ) ;


CELL *PROTO( mawk_repl_compile, (mawk_state_t *,STRING *) ) ;
char *PROTO( mawk_repl_uncompile, (mawk_state_t *, CELL *) ) ;
void  PROTO( mawk_repl_destroy, (mawk_state_t *, CELL *) ) ;
CELL *PROTO( mawk_replv_cpy, (mawk_state_t *,CELL *, CELL *) ) ;
CELL *PROTO( mawk_replv_to_repl, (mawk_state_t *,CELL *, STRING *) ) ;

#endif
